# Class ResultPreviewsManagerEvents

Those are the string definitions of events for ResultPreviewsManager.

Those events should be bound to the element returned by `resolveRoot`.

## Index

### Properties

- buildingResultPreviewsQuery
- populateSearchResultPreviews
- updateResultPreviewsManagerOptions

## Properties

### Static buildingResultPreviewsQuery

buildingResultPreviewsQuery: string

- Defined in events/ResultPreviewsManagerEvents.ts :49

Executed when building a query to fetch result previews. This always receives {@link IBuildingResultPreviewsQueryEventArgs} as arguments.

### Static populateSearchResultPreviews

populateSearchResultPreviews: string

- Defined in events/ResultPreviewsManagerEvents.ts :59

Executed when a {@link Suggestion} is focused and waiting for search result previews. This always receives IPopulateSearchResultPreviewsEventArgs as arguments.

### Static updateResultPreviewsManagerOptions

updateResultPreviewsManagerOptions: string

- Defined in events/ResultPreviewsManagerEvents.ts :54

Executed when a {@link Suggestion} is focused before {@link PopulateSearchResultPreviews} is called to fetch more options. This always receives IUpdateResultPreviewsManagerOptionsEventArgs as arguments.

### Hierarchy

- ResultPreviewsManagerEvents